# This file configures the analyzer, which statically analyzes Dart code to
# check for errors, warnings, and lints.
#
# The issues identified by the analyzer are surfaced in the UI of Dart-enabled
# IDEs (https://dart.dev/tools#ides-and-editors). The analyzer can also be
# invoked from the command line by running `flutter analyze`.

# The following line activates a set of recommended lints for Flutter apps,
# packages, and plugins designed to encourage good coding practices.
include: package:flutter_lints/flutter.yaml

linter:
  # The lint rules applied to this project can be customized in the
  # section below to disable rules from the `package:flutter_lints/flutter.yaml`
  # included above or to enable additional rules. A list of all available lints
  # and their documentation is published at
  # https://dart-lang.github.io/linter/lints/index.html.
  #
  # Instead of disabling a lint rule for the entire project in the
  # section below, it can also be suppressed for a single line of code
  # or a specific dart file by using the `// ignore: name_of_lint` and
  # `// ignore_for_file: name_of_lint` syntax on the line or in the file
  # producing the lint.
  rules:
    # prefer_single_quotes: true  # Uncomment to enable the `prefer_single_quotes` rule
    constant_identifier_names: false
    depend_on_referenced_packages: false
    non_constant_identifier_names: false
    unused_local_variable: false
    prefer_const_constructors: false
    sort_child_properties_last: false
    sized_box_for_whitespace: false
    avoid_unnecessary_containers: false
    unnecessary_this: false
    use_build_context_synchronously: false
    prefer_const_literals_to_create_immutables: false
    no_leading_underscores_for_local_identifiers: false
    avoid_print: false
    library_private_types_in_public_api: false
    unnecessary_null_comparison: false
    prefer_conditional_assignment: false
    camel_case_types: false